summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2003-08-11 21:34:36 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2003-08-11 21:34:36 (GMT)
commit5c0b6b9676af1f4a2140f4f7d4e98bac6f941a1f (patch)
treeffb812de389d87ece85cd70acb9576bcb6508868 /bin
parentc0e0bacd02946e727184079ca6d3548bc6c7627e (diff)
downloadhdf5-5c0b6b9676af1f4a2140f4f7d4e98bac6f941a1f.zip
hdf5-5c0b6b9676af1f4a2140f4f7d4e98bac6f941a1f.tar.gz
hdf5-5c0b6b9676af1f4a2140f4f7d4e98bac6f941a1f.tar.bz2
[svn-r7345] Purpose:
feature Description: Added the checking for Makefile. Skip checking CVS files. Printed filename of unknown file types. Platforms tested: No h5committest. Tested by hand on various files.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/chkcopyright40
1 files changed, 39 insertions, 1 deletions
diff --git a/bin/chkcopyright b/bin/chkcopyright
index d092482..53f1478 100755
--- a/bin/chkcopyright
+++ b/bin/chkcopyright
@@ -193,6 +193,37 @@ EOF
}
+# Check Makefile
+#
+MAKE_FILE()
+{
+ f=$1
+ cat > ${COPYRIGHTFILE} << \EOF
+##
+## Copyright by the Board of Trustees of the University of Illinois.
+## All rights reserved.
+##
+## This file is part of HDF5. The full HDF5 copyright notice, including
+## terms governing use, modification, and redistribution, is contained in
+## the files COPYING and Copyright.html. COPYING can be found at the root
+## of the source code distribution tree; Copyright.html can be found at the
+## root level of an installed copy of the electronic HDF5 document set and
+## is linked from the top-level documents page. It can also be found at
+## http://hdf.ncsa.uiuc.edu/HDF5/doc/Copyright.html. If you do not have
+## access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
+##
+EOF
+ # Must use stdin for wc to prevent filename from popping up.
+ nlines=`wc -l < ${COPYRIGHTFILE}| tr -d ' '`
+ head -${nlines} $f | $DIFF - ${COPYRIGHTFILE} >/dev/null 2>&1
+ if test $? -ne 0; then
+ # show the differences
+ echo ${f}:
+ head -${nlines} $f | $DIFF - ${COPYRIGHTFILE}
+ fi
+}
+
+
#
# Main body
@@ -214,8 +245,15 @@ while read file; do
*.sh | *.sh.in )
SHELL_FILE ${file}
;;
+ *Makefile | *Makefile.in )
+ MAKE_FILE ${file}
+ ;;
+ *CVS/* )
+ # Skip
+ continue
+ ;;
*)
- echo Unknown file type
+ echo "Unknown file type (${file})"
;;
esac
done